#
# spec file for package perl-ExtUtils-MakeMaker
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-MakeMaker
Version:        6.62
Release:        9.1
%define cpan_name ExtUtils-MakeMaker
Summary:        Create a module Makefile
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-MakeMaker/
Source:         http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{cpan_name}-%{version}.tar.gz
# MANUAL
Patch0:         fix-provides.diff
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros

%{perl_requires}

%description
This utility is designed to write a Makefile for an extension module from a
Makefile.PL. It is based on the Makefile.SH model provided by Andy
Dougherty and the perl5-porters.

It splits the task of generating the Makefile into several subroutines that
can be individually overridden. Each subroutine returns the text it wishes
to have written to the Makefile.

MakeMaker is object oriented. Each directory below the current directory
that contains a Makefile.PL is treated as a separate object. This makes it
possible to write an unlimited number of Makefiles with a single invocation
of WriteMakefile().

%prep
%setup -q -n %{cpan_name}-%{version}
### MANUAL BEGIN
##%patch0 -p1
##rm -rf bundled
### MANAUL END
##find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

##%check
##%{__make} test

%install
%perl_make_install
rm $RPM_BUILD_ROOT/usr/bin/instmodsh
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes my NOTES PATCHING README TODO

%changelog
* Thu Feb 16 2012 coolo@suse.com
- this module bundles a bit too much
* Sun Dec 11 2011 coolo@suse.com
- update to 6.62, see Changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Mon Jul 26 2010 pascal.bleser@opensuse.org
- also exclude .3 man pages for SLE <= 10, as it conflicts with Perl too
* Mon Jul 26 2010 pascal.bleser@opensuse.org
- exclude instmodsh, as it conflicts with Perl itself
* Fri Dec 18 2009 jw@novell.com
- Update to 6.56
- Stable release of 6.55_03
* Mon Dec  7 2009 jw@novell.com
- http://cpansearch.perl.org/src/MSCHWERN/ExtUtils-MakeMaker-6.55_03/Changes
* Mon Sep  7 2009 mls@suse.de
- Update to 6.54
* Mon Mar  3 2008 jw@suse.de
- initial packaging
